import { v4 as uuidv4 } from "uuid"
import type { Simulation } from "./debutant"

const fautesGravesSimulations: Simulation[] = [
  {
    id: uuidv4(),
    title: "Simulation fautes graves #1",
    description: "Première simulation sur les fautes graves éliminatoires",
    duration: 20,
    questions: [
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de franchir un feu rouge ?",
        options: ["Perte de 2 points", "Perte de 4 points", "Perte de 6 points", "Perte de 8 points"],
        correctAnswer: "Perte de 4 points",
        explanation:
          "Le franchissement d'un feu rouge est sanctionné par une amende de 135€ et un retrait de 4 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de ne pas respecter un stop ?",
        options: ["Perte de 2 points", "Perte de 4 points", "Perte de 6 points", "Perte de 8 points"],
        correctAnswer: "Perte de 4 points",
        explanation:
          "Le non-respect d'un stop est sanctionné par une amende de 135€ et un retrait de 4 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de circuler en sens interdit ?",
        options: ["Perte de 2 points", "Perte de 4 points", "Perte de 6 points", "Perte de 8 points"],
        correctAnswer: "Perte de 4 points",
        explanation:
          "La circulation en sens interdit est sanctionnée par une amende de 135€ et un retrait de 4 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de ne pas respecter la priorité à droite ?",
        options: ["Perte de 2 points", "Perte de 3 points", "Perte de 4 points", "Perte de 6 points"],
        correctAnswer: "Perte de 4 points",
        explanation:
          "Le non-respect de la priorité à droite est sanctionné par une amende de 135€ et un retrait de 4 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de franchir une ligne continue ?",
        options: ["Perte de 1 point", "Perte de 2 points", "Perte de 3 points", "Perte de 4 points"],
        correctAnswer: "Perte de 3 points",
        explanation:
          "Le franchissement d'une ligne continue est sanctionné par une amende de 135€ et un retrait de 3 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
    ],
  },
  {
    id: uuidv4(),
    title: "Simulation fautes graves #2",
    description: "Deuxième simulation sur les fautes graves éliminatoires",
    duration: 20,
    questions: [
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de conduire sous l'emprise de l'alcool (taux > 0,8 g/l) ?",
        options: ["Perte de 6 points", "Perte de 8 points", "Suspension du permis", "Toutes ces réponses"],
        correctAnswer: "Toutes ces réponses",
        explanation:
          "Conduire avec un taux d'alcool supérieur à 0,8 g/l est un délit sanctionné par une amende pouvant aller jusqu'à 4500€, un retrait de 6 points, une suspension de permis et potentiellement une peine d'emprisonnement.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de conduire sous l'emprise de stupéfiants ?",
        options: ["Perte de 6 points", "Suspension du permis", "Amende de 4500€ maximum", "Toutes ces réponses"],
        correctAnswer: "Toutes ces réponses",
        explanation:
          "Conduire sous l'emprise de stupéfiants est un délit sanctionné par une amende pouvant aller jusqu'à 4500€, un retrait de 6 points, une suspension de permis et potentiellement une peine d'emprisonnement.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence d'un refus de priorité à un piéton engagé sur un passage protégé ?",
        options: ["Perte de 2 points", "Perte de 4 points", "Perte de 6 points", "Perte de 8 points"],
        correctAnswer: "Perte de 6 points",
        explanation:
          "Le refus de priorité à un piéton engagé sur un passage protégé est sanctionné par une amende de 135€ et un retrait de 6 points sur le permis de conduire. C'est une faute grave qui peut être éliminatoire à l'examen.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence d'un excès de vitesse de plus de 50 km/h ?",
        options: ["Perte de 4 points", "Perte de 6 points", "Suspension automatique du permis", "Toutes ces réponses"],
        correctAnswer: "Toutes ces réponses",
        explanation:
          "Un excès de vitesse de plus de 50 km/h est sanctionné par une amende pouvant aller jusqu'à 1500€, un retrait de 6 points et une suspension automatique du permis de conduire pour une durée maximale de 3 ans.",
      },
      {
        id: uuidv4(),
        question: "Quelle est la conséquence de conduire sans permis ?",
        options: [
          "Amende de 800€",
          "Amende de 15000€ maximum",
          "Peine d'emprisonnement possible",
          "Les deux dernières réponses",
        ],
        correctAnswer: "Les deux dernières réponses",
        explanation:
          "Conduire sans permis est un délit sanctionné par une amende pouvant aller jusqu'à 15000€ et une peine d'emprisonnement d'un an maximum. Le véhicule peut également être immobilisé et confisqué.",
      },
    ],
  },
]

export default fautesGravesSimulations
